{ Josh Rendek }

<3 Ruby & Go

CentOS w/out Yum

Sep 5, 2008 - 1 minutes

Took me about 20 minutes to figure out why this wasn’t working when installing yum:

After you follow the instructions at http://wiki.centos.org/TipsAndTricks/BrokenVserver You get to the part where your trying to install rpm-python. This doesn’t work quite as you’d hoped.Â

Error:

rpm -Uvh rpm-python-4.4.2-48.el5.i386.rpm

warning: rpm-python-4.4.2-48.el5.i386.rpm: Header V3 DSA signature: NOKEY, key ID e8562897

error: Failed dependencies:

     rpm = 4.4.2-48.el5 is needed by rpm-python-4.4.2-48.el5.i386

So clear all the other RPM’s you installed, download these three from the repository (varies if your using 64 bit or i386)

rpm-4.4.2-48.el5.i386.rpm    rpm-python-4.4.2-48.el5.i386.rpm

rpm-libs-4.4.2-48.el5.i386.rpm Â

Make sure all these are present then run:

rpm -Uvh *.rpm

 This will install the libs and the RPM update at the same time so the error isn’t thrown.

comments powered by Disqus